Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/you-get: new aport

From: Ivan Tham <pickfire_at_riseup.net>
Date: Thu, 23 Feb 2017 01:16:38 +0800

https://you-get.org/
Tiny command line utility to download media contents
---
 testing/you-get/APKBUILD | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)
 create mode 100644 testing/you-get/APKBUILD
diff --git a/testing/you-get/APKBUILD b/testing/you-get/APKBUILD
new file mode 100644
index 0000000000..7982c81d3f
--- /dev/null
+++ b/testing/you-get/APKBUILD
_at_@ -0,0 +1,26 @@
+# Contributor: Ivan Tham <pickfire_at_riseup.net>
+# Maintainer: Ivan Tham <pickfire_at_riseup.net>
+pkgname=you-get
+pkgver=0.4.652
+pkgrel=0
+pkgdesc="Tiny command line utility to download media contents"
+url="https://you-get.org/"
+arch="noarch"
+license="MIT"
+depends="python3"
+makedepends="python3-dev"
+subpackages=""
+source="https://files.pythonhosted.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	python3 setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+sha512sums="b3c736915492d9d921ec6866edb35acb12b5fb283663db8ad3d87325d06354697196ffdffef13291a709bd8bf5b5db6a61ee6288c083f0939d6ac8637b014ab4  you-get-0.4.652.tar.gz"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Feb 23 2017 - 01:16:38 GMT